<template>
  <div class="hello">
    <a-form @submit.prevent.stop="create">
      <a-form-item>
        <a-textarea class="linksField" v-model="form.value" required placeholder="Введите ссылки, каждую с новой строки" :rows="4" />
      </a-form-item>
      <a-form-item>
        <a-button @click="submit(false)" type="primary"
                  html-type="submit">
          Извлечь по одной
        </a-button>
      </a-form-item>
      <a-form-item>
        <a-button @click="submit(true)" type="primary"
                  html-type="submit">
          Извлечь параллельно
        </a-button>
      </a-form-item>
    </a-form>
    {{ result }}
  </div>
</template>

<script>
  import axios from "axios"
  import { defineComponent } from 'vue'
  export default defineComponent({
    name: 'ProfileMenu',
    data () {
      return {
        form: {
          value: undefined,
        },
        result: undefined
      }
    },
    methods: {
      async submit(isParallel = true) {
        const { data: { result } } = await axios.post('http://localhost:3001/', this.form.value.trim().split('\n'), { params: { isParallel } })
        this.result = JSON.stringify(result)
      },
    }
  })
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
  .linksField {
    width: 60%;
  }
</style>
